Loading...
Searching...
No Matches
Trie
Prefix validation table

## Data Structures

struct | pfx_record
struct | pfx_table

## Typedefs

typedef void(* | pfx_update_fp) (struct pfx_table *pfx_table, const struct pfx_record record, const bool added)

## Detailed Description

This implementation uses two separate lpfs-trees, one for IPv4 validation records and one for IPv6 records.
See pfx_table for a list of supported operations of this data structure.

## Typedef Documentation

## pfx_update_fp

typedef void(* pfx_update_fp) (struct pfx_table *pfx_table, const struct pfx_record record, const bool added)

A function pointer that is called if an record was added to the pfx_table or was removed from the pfx_table.

Parameters

  pfx_table | which was updated.
  record | pfx_record that was modified.
  added | True if the record was added, false if the record was removed.